curl --request PATCH \
--url https://realtime-api.voiceflow.com/v1/stable/agent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": [
"<string>"
],
"endTool": {
"enabled": true,
"description": "<string>",
"messages": {
"delayMessageID": "<string>",
"failureMessageID": "<string>",
"executionMessageID": "<string>",
"completionMessageID": "<string>",
"delayMessageSeconds": 123,
"generative": {}
},
"toolSound": {
"ref": "<string>",
"volume": 0.75
}
},
"cardTool": {
"enabled": true,
"description": "<string>",
"messages": {
"delayMessageID": "<string>",
"failureMessageID": "<string>",
"executionMessageID": "<string>",
"completionMessageID": "<string>",
"delayMessageSeconds": 123,
"generative": {}
}
},
"playbooks": [
{
"description": "<string>",
"playbookID": "<string>",
"condition": {
"type": "value-variable",
"matchAll": true,
"assertions": [
{
"key": "<string>",
"lhs": {
"variableID": "<string>",
"path": "<string>"
},
"rhs": [
"<string>"
],
"operation": "is"
}
]
},
"requiredVariables": [
{
"id": "<string>",
"description": "<string>",
"variableOrEntityID": "<string>"
}
]
}
],
"workflows": [
{
"description": "<string>",
"workflowID": "<string>",
"condition": {
"type": "value-variable",
"matchAll": true,
"assertions": [
{
"key": "<string>",
"lhs": {
"variableID": "<string>",
"path": "<string>"
},
"rhs": [
"<string>"
],
"operation": "is"
}
]
},
"requiredVariables": [
{
"id": "<string>",
"description": "<string>",
"variableOrEntityID": "<string>"
}
]
}
],
"buttonTool": {
"enabled": true,
"description": "<string>",
"messages": {
"delayMessageID": "<string>",
"failureMessageID": "<string>",
"executionMessageID": "<string>",
"completionMessageID": "<string>",
"delayMessageSeconds": 123,
"generative": {}
}
},
"carouselTool": {
"enabled": true,
"description": "<string>",
"messages": {
"delayMessageID": "<string>",
"failureMessageID": "<string>",
"executionMessageID": "<string>",
"completionMessageID": "<string>",
"delayMessageSeconds": 123,
"generative": {}
}
},
"instructions": [
"<string>"
],
"skipTurnTool": {
"enabled": true,
"description": "<string>"
},
"pathToolOrder": [
"<string>"
],
"webSearchTool": {
"enabled": true,
"messages": {
"delayMessageID": "<string>",
"failureMessageID": "<string>",
"executionMessageID": "<string>",
"completionMessageID": "<string>",
"delayMessageSeconds": 123,
"generative": {}
},
"toolSound": {
"ref": "<string>",
"volume": 0.75
},
"description": "<string>",
"allowedDomains": [
"<string>"
],
"sourceUrlsCount": 3
},
"callForwardTool": {
"enabled": true,
"address": [
"<string>"
],
"description": "<string>",
"messages": {
"delayMessageID": "<string>",
"failureMessageID": "<string>",
"executionMessageID": "<string>",
"completionMessageID": "<string>",
"delayMessageSeconds": 123,
"generative": {}
},
"extension": [
"<string>"
],
"toolSound": {
"ref": "<string>",
"volume": 0.75
},
"callerIDPassthrough": true
},
"knowledgeBaseTool": {
"enabled": true,
"description": "<string>",
"query": [
"<string>"
],
"filters": [
{
"key": "<string>",
"description": null,
"defaultValue": [
"<string>"
]
}
],
"messages": {
"delayMessageID": "<string>",
"failureMessageID": "<string>",
"executionMessageID": "<string>",
"completionMessageID": "<string>",
"delayMessageSeconds": 123,
"generative": {}
},
"toolSound": {
"ref": "<string>",
"volume": 0.75
},
"chunkLimit": 123,
"sourceUrlsCount": 3
},
"includeGuidelines": true,
"llm": {
"priorityProcessing": true,
"defaults": {
"maxTokens": 123,
"temperature": 123
}
},
"voice": {
"stt": {
"provider": "elevenlabs",
"model": "scribe_v2_realtime",
"vadSilenceThresholdSecs": 1.65,
"vadThreshold": 0.5,
"minSpeechDurationMS": 1025,
"minSilenceDurationMS": 1025
},
"tts": {
"provider": "amazon",
"voice": "<string>"
},
"pronunciationDictionary": [
{
"from": "<string>",
"to": "<string>"
}
],
"failureMessage": "<string>",
"hasCallRecording": true,
"audioCue": 123,
"backgroundAudio": "<string>",
"backgroundAudioSettings": {
"volume": 0.75
},
"audioSync": true,
"silenceTimeoutMs": 123
}
}
'{
"message": "<string>"
}Changes the agent that shapes every turn - its global prompt, its routing instructions, or its settings - in the environment named by the request.
curl --request PATCH \
--url https://realtime-api.voiceflow.com/v1/stable/agent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": [
"<string>"
],
"endTool": {
"enabled": true,
"description": "<string>",
"messages": {
"delayMessageID": "<string>",
"failureMessageID": "<string>",
"executionMessageID": "<string>",
"completionMessageID": "<string>",
"delayMessageSeconds": 123,
"generative": {}
},
"toolSound": {
"ref": "<string>",
"volume": 0.75
}
},
"cardTool": {
"enabled": true,
"description": "<string>",
"messages": {
"delayMessageID": "<string>",
"failureMessageID": "<string>",
"executionMessageID": "<string>",
"completionMessageID": "<string>",
"delayMessageSeconds": 123,
"generative": {}
}
},
"playbooks": [
{
"description": "<string>",
"playbookID": "<string>",
"condition": {
"type": "value-variable",
"matchAll": true,
"assertions": [
{
"key": "<string>",
"lhs": {
"variableID": "<string>",
"path": "<string>"
},
"rhs": [
"<string>"
],
"operation": "is"
}
]
},
"requiredVariables": [
{
"id": "<string>",
"description": "<string>",
"variableOrEntityID": "<string>"
}
]
}
],
"workflows": [
{
"description": "<string>",
"workflowID": "<string>",
"condition": {
"type": "value-variable",
"matchAll": true,
"assertions": [
{
"key": "<string>",
"lhs": {
"variableID": "<string>",
"path": "<string>"
},
"rhs": [
"<string>"
],
"operation": "is"
}
]
},
"requiredVariables": [
{
"id": "<string>",
"description": "<string>",
"variableOrEntityID": "<string>"
}
]
}
],
"buttonTool": {
"enabled": true,
"description": "<string>",
"messages": {
"delayMessageID": "<string>",
"failureMessageID": "<string>",
"executionMessageID": "<string>",
"completionMessageID": "<string>",
"delayMessageSeconds": 123,
"generative": {}
}
},
"carouselTool": {
"enabled": true,
"description": "<string>",
"messages": {
"delayMessageID": "<string>",
"failureMessageID": "<string>",
"executionMessageID": "<string>",
"completionMessageID": "<string>",
"delayMessageSeconds": 123,
"generative": {}
}
},
"instructions": [
"<string>"
],
"skipTurnTool": {
"enabled": true,
"description": "<string>"
},
"pathToolOrder": [
"<string>"
],
"webSearchTool": {
"enabled": true,
"messages": {
"delayMessageID": "<string>",
"failureMessageID": "<string>",
"executionMessageID": "<string>",
"completionMessageID": "<string>",
"delayMessageSeconds": 123,
"generative": {}
},
"toolSound": {
"ref": "<string>",
"volume": 0.75
},
"description": "<string>",
"allowedDomains": [
"<string>"
],
"sourceUrlsCount": 3
},
"callForwardTool": {
"enabled": true,
"address": [
"<string>"
],
"description": "<string>",
"messages": {
"delayMessageID": "<string>",
"failureMessageID": "<string>",
"executionMessageID": "<string>",
"completionMessageID": "<string>",
"delayMessageSeconds": 123,
"generative": {}
},
"extension": [
"<string>"
],
"toolSound": {
"ref": "<string>",
"volume": 0.75
},
"callerIDPassthrough": true
},
"knowledgeBaseTool": {
"enabled": true,
"description": "<string>",
"query": [
"<string>"
],
"filters": [
{
"key": "<string>",
"description": null,
"defaultValue": [
"<string>"
]
}
],
"messages": {
"delayMessageID": "<string>",
"failureMessageID": "<string>",
"executionMessageID": "<string>",
"completionMessageID": "<string>",
"delayMessageSeconds": 123,
"generative": {}
},
"toolSound": {
"ref": "<string>",
"volume": 0.75
},
"chunkLimit": 123,
"sourceUrlsCount": 3
},
"includeGuidelines": true,
"llm": {
"priorityProcessing": true,
"defaults": {
"maxTokens": 123,
"temperature": 123
}
},
"voice": {
"stt": {
"provider": "elevenlabs",
"model": "scribe_v2_realtime",
"vadSilenceThresholdSecs": 1.65,
"vadThreshold": 0.5,
"minSpeechDurationMS": 1025,
"minSilenceDurationMS": 1025
},
"tts": {
"provider": "amazon",
"voice": "<string>"
},
"pronunciationDictionary": [
{
"from": "<string>",
"to": "<string>"
}
],
"failureMessage": "<string>",
"hasCallRecording": true,
"audioCue": 123,
"backgroundAudio": "<string>",
"backgroundAudioSettings": {
"volume": 0.75
},
"audioSync": true,
"silenceTimeoutMs": 123
}
}
'{
"message": "<string>"
}Authorizations
Voiceflow bearer token
Query Parameters
The ID of the project to operate on.
The alias of the environment to operate on (e.g. main).
Body
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Playbooks available for the agent to invoke.
Show child attributes
Show child attributes
Workflows available for the agent to invoke.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The ordered list of path tool IDs that controls the order of the agent exit paths.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Whether to append the default prompting guidelines to the global prompt.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Confirms the agent's configuration was updated. The body is a message rather than the new configuration, so read the agent back to see its current prompt, instructions, and tool settings.
A human-readable message confirming the update.
Was this page helpful?